Get the admin key for a gateway group.
GET /api/gateway_groups/{gateway_group_id}/admin_key
GET /api/gateway_groups/{gateway_group_id}/admin_keyInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
gateway_group_id*string
Gateway group ID.
Length
1 <= lengthResponse Body
application/json
application/json
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/admin_key"Admin API key generated successfully.
{
"value": {
"key": "a7ee-example-admin-key"
}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Successful operation.
{
"value": {}
}Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/admin_key
Get the admin key for a gateway group.
IAM Action: gateway:GetAdminKey, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
gateway_group_id(path, string, required): Gateway group ID.
Responses
200: Admin API key generated successfully.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional):value.key(string, optional): The admin key in plain text.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.default: Successful operation.value(object, optional): The specific resource.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/admin_key'